<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:vist="http://vistryplc.com" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://vistryplc.com" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="vist-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="vist-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="vist-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="vist-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://vistryplc.com/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ClassesOfEmployeeBenefitsExpense" roleURI="http://vistryplc.com/roles/ClassesOfEmployeeBenefitsExpense">
        <link:definition>02 - Classes of employee benefits expense</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AnalysisOfIncomeAndExpense" roleURI="http://vistryplc.com/roles/AnalysisOfIncomeAndExpense">
        <link:definition>03 - Analysis of income and expense</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NumberAndAverageNumberOfEmployees" roleURI="http://vistryplc.com/roles/NumberAndAverageNumberOfEmployees">
        <link:definition>04 - Number and average number of employees</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://vistryplc.com/roles/StatementOfChangesInEquity">
        <link:definition>05 - Statement of changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://vistryplc.com/roles/StatementOfCashFlows">
        <link:definition>06 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://vistryplc.com/roles/ProfitOrLoss">
        <link:definition>07 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EarningsPerShare" roleURI="http://vistryplc.com/roles/EarningsPerShare">
        <link:definition>08 - Earnings per share</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BasicEarningsPerShare" roleURI="http://vistryplc.com/roles/BasicEarningsPerShare">
        <link:definition>09 - Basic earnings per share</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://vistryplc.com/roles/StatementOfFinancialPosition">
        <link:definition>10 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://vistryplc.com/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="vist_SocialSecurityContributions" xbrli:balance="credit" xbrli:periodType="duration" name="SocialSecurityContributions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedBasicEarningsPerShare" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedBasicEarningsPerShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedProfitForTheYear" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedProfitForTheYear" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedIncomeTaxExpense" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedIncomeTaxExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedProfitBeforeTax" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedProfitBeforeTax" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedNetFinanceExpense" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedNetFinanceExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_NetFinanceExpense" xbrli:balance="credit" xbrli:periodType="duration" name="NetFinanceExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedOperatingProfit" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedOperatingProfit" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedRevenue" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedRevenue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_MovementsInWorkingCapital" xbrli:balance="credit" xbrli:periodType="duration" name="MovementsInWorkingCapital" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_LeaseInterestPayments" xbrli:balance="credit" xbrli:periodType="duration" name="LeaseInterestPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_DefinedBenefitPensionContributions" xbrli:balance="credit" xbrli:periodType="duration" name="DefinedBenefitPensionContributions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_InterestReceivedOnLoansToJointVentures" xbrli:balance="credit" xbrli:periodType="duration" name="InterestReceivedOnLoansToJointVentures" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_AdjustedBasicEarningsperShare" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustedBasicEarningsperShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_ExceptionalCashInflowRelatingToBuildingSafetyRecoveries" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalCashInflowRelatingToBuildingSafetyRecoveries" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_ExceptionalCashOutflowRelatingToBuildingSafety" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalCashOutflowRelatingToBuildingSafety" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_ExceptionalCashFlowsRelatingToRestructuringIntegration" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalCashFlowsRelatingToRestructuringIntegration" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_OperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital" xbrli:balance="credit" xbrli:periodType="duration" name="OperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_ExceptionalItemsInStatementOfProfitOrLoss" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalItemsInStatementOfProfitOrLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_OperatingProfitForTheYear" xbrli:balance="credit" xbrli:periodType="duration" name="OperatingProfitForTheYear" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_LTIPSharesExercised" xbrli:balance="credit" xbrli:periodType="duration" name="LTIPSharesExercised" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_DeferredTaxOnShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="DeferredTaxOnShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_ExceptionalCashOutflows" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalCashOutflows" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="vist_NetAssets" xbrli:balance="debit" xbrli:periodType="instant" name="NetAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>